Error while installing cuda on Host and Deepstream on target

Hello,
I’m trying to install some components on my host pc and my Jetson Xavier NX with SDKManager in order to code on Nsight Eclipse Edition and cross-compile to my Jetson.
I’m facing some installation issue with SDKM. Result of the SDKM installation :

  • Jetson OS image flashed correctly.

Host Components :

  • CUDA and Computer Vision Error while installing.
  • Developer Tools successfully installed.

Target Components :

  • CUDA, CUDA-X AI, Computer Vision, NVIDIA Container Runtime installed successfully.
  • Multimedia APi and DeepStream SDK errors while installing.

Host issue :
I have Ubuntu 18.04.5 LTS, my graphics card is a GeForce GTX 780 Ti.
Result of arch command = x86_64.
Result of dpkg --print-architecture : amd64.

Terminal result for CUDA on Host (i didn't find a better way to show this)

14:44:09 INFO: CUDA on Host: Reading package lists…

14:44:09 INFO: CUDA on Host: Building dependency tree…

14:44:09 INFO: CUDA on Host: Reading state information…

14:44:09 INFO: CUDA on Host: cuda-repo-ubuntu1804-10-2-local-10.2.89-440.40 is already the newest version (1.0-1).

14:44:09 INFO: CUDA on Host: 0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

14:44:09 INFO: CUDA on Host: no repoPackageInfo found in additionalParameters.

14:44:09 INFO: CUDA on Host: infer package info from file name cuda-repo-ubuntu1804-10-2-local-10.2.89-440.40_1.0-1_amd64.deb [ name: cuda-repo-ubuntu1804-10-2-local-10.2.89-440.40, version: 1.0-1 ]

14:44:09 INFO: CUDA on Host: exec_command: dpkg -L cuda-repo-ubuntu1804-10-2-local-10.2.89-440.40 | grep ‘.pub$’ | tr -d ‘\n’

14:44:09 INFO: CUDA on Host: exec_command: sudo apt-key add /var/cuda-repo-10-2-local-10.2.89-440.40/7fa2af80.pub

14:44:09 : CUDA on Host: Warning: apt-key output should not be parsed (stdout is not a terminal)

14:44:09 INFO: CUDA on Host: OK

14:44:09 INFO: CUDA on Host: exec_command: sudo apt-get check

14:44:09 INFO: CUDA on Host: Reading package lists…

14:44:10 INFO: CUDA on Host: Building dependency tree…

14:44:10 INFO: CUDA on Host: Reading state information…

14:44:10 INFO: CUDA on Host: exec_command: sudo apt-get update; sleep 0.5; sudo apt-get -y --allow-downgrades install cuda-toolkit-10-2=10.2.89*

14:44:10 INFO: CUDA on Host: Hit:1 http://fr.archive.ubuntu.com/ubuntu bionic InRelease

14:44:10 INFO: CUDA on Host: Hit:2 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu bionic InRelease

14:44:10 INFO: CUDA on Host: Hit:3 http://fr.archive.ubuntu.com/ubuntu bionic-updates InRelease

14:44:10 INFO: CUDA on Host: Hit:4 http://fr.archive.ubuntu.com/ubuntu bionic-backports InRelease

14:44:10 INFO: CUDA on Host: Get:5 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]

14:44:10 INFO: CUDA on Host: Fetched 88.7 kB in 1s (162 kB/s)

14:44:12 INFO: CUDA on Host: Reading package lists…

14:44:12 INFO: CUDA on Host: Reading package lists…

14:44:13 INFO: CUDA on Host: Building dependency tree…

14:44:13 INFO: CUDA on Host: Reading state information…

14:44:13 INFO: CUDA on Host: Some packages could not be installed. This may mean that you have

14:44:13 INFO: CUDA on Host: requested an impossible situation or if you are using the unstable

14:44:13 INFO: CUDA on Host: distribution that some required packages have not yet been created

14:44:13 INFO: CUDA on Host: or been moved out of Incoming.

14:44:13 INFO: CUDA on Host: The following information may help to resolve the situation:

14:44:13 INFO: CUDA on Host: The following packages have unmet dependencies:

14:44:13 INFO: CUDA on Host: cuda-toolkit-10-2 : Depends: cuda-compiler-10-2 (>= 10.2.89) but it is not installable

14:44:13 INFO: CUDA on Host: Depends: cuda-tools-10-2 (>= 10.2.89) but it is not installable

14:44:13 INFO: CUDA on Host: Depends: cuda-samples-10-2 (>= 10.2.89) but it is not installable

14:44:13 INFO: CUDA on Host: Depends: cuda-documentation-10-2 (>= 10.2.89) but it is not installable

14:44:13 INFO: CUDA on Host: Depends: cuda-libraries-dev-10-2 (>= 10.2.89) but it is not installable

14:44:13 INFO: CUDA on Host: Depends: cuda-libraries-10-2 (>= 10.2.89) but it is not installable

14:44:13 INFO: CUDA on Host: Depends: cuda-nvml-dev-10-2 (>= 10.2.89) but it is not installable

14:44:13 INFO: CUDA on Host: Depends: cuda-license-10-2 (>= 10.2.89) but it is not installable

14:44:13 ERROR: CUDA on Host: E: Unable to correct problems, you have held broken packages.

14:44:13 INFO: CUDA on Host: [ Package Install Finished with Error ]

14:44:13 INFO: CUDA on Host: [host] [ 3.10 MB released. Disk Avail: 793.34 GB ]

14:44:13 INFO: CUDA on Host: [ NV_CUDA_HOST_COMP Install took 4s ]

14:44:13 ERROR: CUDA on Host: [error]: Error when apt install failed; [exec_command]: sudo apt-get update; sleep 0.5; sudo apt-get -y --allow-downgrades install cuda-toolkit-10-2=10.2.89* ; [error]: exit status 100; [deb_path]: /home/louis/Downloads/nvidia/sdkm_downloads/cuda-repo-ubuntu1804-10-2-local-10.2.89-440.40_1.0-1_amd64.deb

14:44:13 ERROR: CUDA on Host: command terminated with error

14:44:13 SUMMARY: CUDA on Host: APT system is broken and requires manual fix

Terminal result for CUDA Cross Compile Package on Host

14:44:05 INFO: CUDA Cross Compile Package on Host: verifying checksum of /home/louis/Downloads/nvidia/sdkm_downloads/cuda-repo-cross-aarch64-10-2-local-10.2.89_1.0-1_all.deb

14:44:06 INFO: CUDA Cross Compile Package on Host: Found file /home/louis/Downloads/nvidia/sdkm_downloads/cuda-repo-cross-aarch64-10-2-local-10.2.89_1.0-1_all.deb with correct checksum, skip downloading.

14:44:13 SUMMARY: CUDA Cross Compile Package on Host: Depends on failed component

Computer Vision logs doesn’t give more information than this one but i can put it if you want.

14:44:13 ERROR: CUDA on Host: E: Unable to correct problems, you have held broken packages.

I tried sudo apt --fix-broken install and sudo apt-get update because of this but got no luck.

interesting log info

Some packages could not be installed. This may mean that you have

14:44:13 INFO: CUDA on Host: requested an impossible situation or if you are using the unstable

14:44:13 INFO: CUDA on Host: distribution that some required packages have not yet been created

14:44:13 INFO: CUDA on Host: or been moved out of Incoming.

14:44:13 INFO: CUDA on Host: The following information may help to resolve the situation:

14:44:13 INFO: CUDA on Host: The following packages have unmet dependencies:

14:44:13 INFO: CUDA on Host: cuda-toolkit-10-2 : Depends: cuda-compiler-10-2 (>= 10.2.89) but it is not installable

Target issue :

DeepStream terminal result

14:44:06 INFO: DeepStream: verifying checksum of /home/louis/Downloads/nvidia/sdkm_downloads/deepstream-5.0_5.0.1-1_arm64.deb

14:44:07 INFO: DeepStream: Found file /home/louis/Downloads/nvidia/sdkm_downloads/deepstream-5.0_5.0.1-1_arm64.deb with correct checksum, skip downloading.

14:44:57 DEBUG: DeepStream: using adapter to install NV_DEEPSTREAM_TARGET_POST_INSTALL_COMP@JETSON_XAVIER_NX_DEVKIT to /home/louis/nvidia/nvidia_sdk/JetPack_4.4.1_Linux_JETSON_XAVIER_NX_DEVKIT

14:44:57 INFO: DeepStream: exec_command: ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no loulou@192.168.55.1 “df -B1 / | tail -1 | awk ‘{ printf $4 }’”

14:44:57 INFO: DeepStream: [target] loulou@192.168.55.1’s password:

14:44:58 INFO: DeepStream: Using GenericInstaller to Install NV_DEEPSTREAM_TARGET_POST_INSTALL_COMP

14:44:58 INFO: DeepStream: NV_DEEPSTREAM_TARGET_POST_INSTALL_COMP include 1 package

14:44:58 INFO: DeepStream: [ Package PreInstall Started ]

14:44:58 INFO: DeepStream: current working directory is /home/louis/nvidia/nvidia_sdk/JetPack_4.4.1_Linux_JETSON_XAVIER_NX_DEVKIT

14:44:58 INFO: DeepStream: exec_command [target]:

14:44:58 INFO: DeepStream: **********************

14:44:58 INFO: DeepStream: #!/bin/bash

14:44:58 INFO: DeepStream: set -e

14:44:58 INFO: DeepStream: function safe_apt_install {

14:44:58 INFO: DeepStream: echo “*begin $1, $2”

14:44:58 INFO: DeepStream: tmp_log=/tmp/jetpack_dpkg_log.txt

14:44:58 INFO: DeepStream: sudo rm -f $tmp_log

14:44:58 INFO: DeepStream: set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e

14:44:58 INFO: DeepStream: while [ ${CMD_STATUS} -ne 0 ]; do

14:44:58 INFO: DeepStream: if grep -q -e “is locked by another process” -e “E: Could not get lock /var/” $tmp_log; then

14:44:58 INFO: DeepStream: sudo rm -f $tmp_log

14:44:58 INFO: DeepStream: set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e

14:44:58 INFO: DeepStream: echo "Waiting 2 seconds for apt to be available"; sleep {2}

14:44:58 INFO: DeepStream: else

14:44:58 INFO: DeepStream: echo “Unhandled error when running $1”; exit 1

14:44:58 INFO: DeepStream: fi

14:44:58 INFO: DeepStream: done

14:44:58 INFO: DeepStream: }

14:44:58 INFO: DeepStream: export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8

14:44:58 INFO: DeepStream: safe_apt_install “sudo apt-get update” 5

14:44:58 INFO: DeepStream: safe_apt_install "sudo apt-get install -y libssl1.0.0 libgstreamer1.0-0 libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev gstreamer1.0-tools gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly gstreamer1.0-libav libgstrtspserver-1.0-0 libjansson4 librdkafka1=0.11.3-1build1 " 5

14:44:58 INFO: DeepStream: **********************

14:44:58 INFO: DeepStream: exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_DEEPSTREAM_TARGET_POST_INSTALL_COMP.sh loulou@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no loulou@192.168.55.1 “~/tmp_NV_DEEPSTREAM_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_DEEPSTREAM_TARGET_POST_INSTALL_COMP.sh”

14:44:58 INFO: DeepStream: [target] loulou@192.168.55.1’s password:

14:44:58 INFO: DeepStream: [target] loulou@192.168.55.1’s password:

14:44:59 INFO: DeepStream: *begin sudo apt-get update, 5

14:44:59 INFO: DeepStream: [target] [sudo] password for loulou:

14:44:59 INFO: DeepStream: Hit:1 http://ports.ubuntu.com/ubuntu-ports bionic InRelease

14:44:59 INFO: DeepStream: Hit:2 https://repo.download.nvidia.com/jetson/common r32.4 InRelease

14:44:59 INFO: DeepStream: Hit:3 http://ports.ubuntu.com/ubuntu-ports bionic-updates InRelease

14:44:59 INFO: DeepStream: Hit:4 http://ports.ubuntu.com/ubuntu-ports bionic-backports InRelease

14:44:59 INFO: DeepStream: Hit:5 http://ports.ubuntu.com/ubuntu-ports bionic-security InRelease

14:44:59 INFO: DeepStream: Hit:6 https://repo.download.nvidia.com/jetson/t194 r32.4 InRelease

14:45:07 INFO: DeepStream: Reading package lists…

Multimedia terminal result

14:44:06 INFO: Multimedia API: verifying checksum of /home/louis/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.4-20201016123640_arm64.deb

14:44:06 INFO: Multimedia API: Found file /home/louis/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.4-20201016123640_arm64.deb with correct checksum, skip downloading.

14:44:34 DEBUG: Multimedia API: using adapter to install NV_L4T_MULTIMEDIA_API_TARGET_POST_INSTALL_T194_COMP@JETSON_XAVIER_NX_DEVKIT to /home/louis/nvidia/nvidia_sdk/JetPack_4.4.1_Linux_JETSON_XAVIER_NX_DEVKIT

14:44:34 INFO: Multimedia API: exec_command: ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no loulou@192.168.55.1 “df -B1 / | tail -1 | awk ‘{ printf $4 }’”

14:44:34 INFO: Multimedia API: [target] loulou@192.168.55.1’s password:

14:44:35 INFO: Multimedia API: Using GenericInstaller to Install NV_L4T_MULTIMEDIA_API_TARGET_POST_INSTALL_T194_COMP

14:44:35 INFO: Multimedia API: NV_L4T_MULTIMEDIA_API_TARGET_POST_INSTALL_T194_COMP include 1 package

14:44:35 INFO: Multimedia API: [ Package Install Started ]

14:44:35 INFO: Multimedia API: target deb installer start to install

14:44:35 INFO: Multimedia API: exec_command: dpkg -f /home/louis/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.4-20201016123640_arm64.deb Package | tr -d ‘\n’

14:44:35 INFO: Multimedia API: exec_command: dpkg -f /home/louis/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.4-20201016123640_arm64.deb Version | tr -d ‘\n’

14:44:35 INFO: Multimedia API: deb file /home/louis/Downloads/nvidia/sdkm_downloads/nvidia-l4t-jetson-multimedia-api_32.4.4-20201016123640_arm64.deb, package name [nvidia-l4t-jetson-multimedia-api], package version [32.4.4-20201016123640]

14:44:35 INFO: Multimedia API: infer package info from file name nvidia-l4t-jetson-multimedia-api_32.4.4-20201016123640_arm64.deb [ name: nvidia-l4t-jetson-multimedia-api, version: 32.4.4-20201016123640 ]

14:44:35 INFO: Multimedia API: exec_command [target]:

14:44:35 INFO: Multimedia API: **********************

14:44:35 INFO: Multimedia API: #!/bin/bash

14:44:35 INFO: Multimedia API: set -e

14:44:35 INFO: Multimedia API: export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8

14:44:35 INFO: Multimedia API: sudo mkdir -p /opt/nvidia/deb_repos

14:44:35 INFO: Multimedia API: sudo chmod 777 /opt/nvidia/deb_repos

14:44:35 INFO: Multimedia API: sudo rm -f /opt/nvidia/deb_repos/nvidia-l4t-jetson-multimedia-api_32.4.4-20201016123640_arm64.deb

14:44:35 INFO: Multimedia API: **********************

14:44:35 INFO: Multimedia API: [target] loulou@192.168.55.1’s password:

14:44:35 INFO: Multimedia API: [target] loulou@192.168.55.1’s password:

14:44:36 INFO: Multimedia API: [target] [sudo] password for loulou:

14:44:36 : Multimedia API: Warning: Permanently added ‘192.168.55.1’ (ECDSA) to the list of known hosts.

14:44:36 INFO: Multimedia API: [target] loulou@192.168.55.1’s password:

14:44:39 INFO: Multimedia API: nvidia-l4t-jetson-multimedia-api_32.4.4-20201 0% 0 0.0KB/s --:-- ETA nvidia-l4t-jetson-multimedia-api_32.4.4-20201 56% 38MB 37.8MB/s 00:00 ETA nvidia-l4t-jetson-multimedia-api_32.4.4-20201 100% 67MB 20.0MB/s 00:03

14:44:39 INFO: Multimedia API: exec_command [target]:

14:44:39 INFO: Multimedia API: **********************

14:44:39 INFO: Multimedia API: #!/bin/bash

14:44:39 INFO: Multimedia API: set -e

14:44:39 INFO: Multimedia API: export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8

14:44:39 INFO: Multimedia API: function safe_apt_install {

14:44:39 INFO: Multimedia API: echo “*begin $1, $2”

14:44:39 INFO: Multimedia API: tmp_log=/tmp/jetpack_dpkg_log.txt

14:44:39 INFO: Multimedia API: sudo rm -f $tmp_log

14:44:39 INFO: Multimedia API: set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e

14:44:39 INFO: Multimedia API: while [ ${CMD_STATUS} -ne 0 ]; do

14:44:39 INFO: Multimedia API: if grep -q -e “is locked by another process” -e “E: Could not get lock /var/” $tmp_log; then

14:44:39 INFO: Multimedia API: sudo rm -f $tmp_log

14:44:39 INFO: Multimedia API: set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e

14:44:39 INFO: Multimedia API: echo "Waiting 2 seconds for apt to be available"; sleep {2}

14:44:39 INFO: Multimedia API: else

Also tried sudo apt --fix-broken install and sudo apt-get update with no result.
My issue seems similar to this thread.
Any help or advice about this will be greatly welcome !

Hi,

Could you share the complete log from SDK manager with us first?

STEP 04 -> INSTALLATION FAILED -> EXPORT LOGS.

Thanks.

SDKM_logs_JetPack_4.4.1_Linux_for_Jetson_Xavier_NX_[developer_kit_version]_2020-11-20_09-38-53.zip (167.5 KB)

Hi,

The error code 67 is related to the link issue.
Could you delete the download folder and try to install it again?

ENOLINK 67 Link has been severed

Thanks.

Thanks for your answer,

The folder at ~/Downloads/nvidia/sdkm_downloads ?
If you’re talking about this one, i just noticed that i have nothing else in that folder except the nvidia folder. Maybe the SDKM create the folder ~/Downloads if it’s not there (I don’t have an English Ubuntu version). And that’s why my installation fails.

and try to install it again?

I’m sorry i can’t remember which step was necessary to get this Downloads folder, was that when i tried to install components with SDKM ?